<?php
/**
 * @package Siempel
 * @since Siempel 0.1
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( 'Постоянная ссылка на %s', the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php siempel_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->
	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->
	<?php else : ?>
	<div class="entry-content">
		<?php the_post_thumbnail('thumbnail', array('class' => 'alignleft')); ?>
		<?php the_content( 'Читать далее <span class="meta-nav">&raquo;</span>' ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links">' . 'Страницы:', 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->
	<?php endif; ?>
	<footer class="entry-meta">
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( ', ' );
				if ( $categories_list && siempel_categorized_blog() ) :
			?>
			<span class="cat-links">
				<?php printf( '<i class="fa fa-folder-open"></i> %1$s', $categories_list ); ?>
			</span>
			<?php endif; // End if categories ?>
			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', ', ' );
				if ( $tags_list ) :
			?>
			<span class="sep"> | </span>
			<span class="tags-links">
				<?php printf( '<i class="fa fa-tag"></i> %1$s', $tags_list ); ?>
			</span>
			<?php endif; // End if $tags_list ?>
		<?php endif; // End if 'post' == get_post_type() ?>
		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
		<?php if ( has_category() || has_tag() || has_term() ) :?>
		<span class="sep"> | </span>
		<?php endif; ?>
		<span class="comments-link"> <i class="fa fa-comment"></i> <?php comments_popup_link( 'Оставить комментарий', '1 комментарий', '% комментариев' ); ?></span>
		<?php endif; ?>
		<?php edit_post_link( 'Редактировать', '<span class="sep"> | </span> <i class="fa fa-pencil"></i> <span class="edit-link">', '</span>' ); ?>
	</footer><!-- .entry-meta -->
</article><!-- #post-<?php the_ID(); ?> -->